> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wappfy.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Remove Picture

> Remove the user profile picture in the WhatsApp session

## Description

This endpoint allows you to remove the profile picture of the user authenticated in the WhatsApp session. After removal, the profile will have no display picture.

## URL Parameters

<ParamField path="session" type="string" required>
  WhatsApp unique authenticated session ID
</ParamField>

## Response

<ResponseField name="success" type="boolean">
  Indicates if the operation was successful
</ResponseField>

<ResponseExample>
  ```json Success Response theme={null}
  {
      "success": true
  }
  ```
</ResponseExample>

## Status Codes

* `200` - Picture removed successfully
* `400` - Invalid parameters
* `401` - Unauthorized
* `404` - Picture not found
* `500` - Internal server error

## Usage Example

<CodeGroup>
  ```bash cURL theme={null}
  curl -X DELETE https://api.wappfy.com.br/api/my-session/profile/picture
  ```

  ```javascript JavaScript theme={null}
  const session = 'my-session';
  const response = await fetch(`https://api.wappfy.com.br/api/${session}/profile/picture`, {
    method: 'DELETE'
  });
  const data = await response.json();
  console.log(data);
  ```

  ```python Python theme={null}
  import requests

  session = 'my-session'
  response = requests.delete(f'https://api.wappfy.com.br/api/{session}/profile/picture')
  data = response.json()
  print(data)
  ```
</CodeGroup>

## Observations

* This operation completely removes the profile picture
* The profile will have no display image after removal
* To add a new picture, use the PUT /api/{session}/profile/picture endpoint


## OpenAPI

````yaml viewer-en.json delete /api/{session}/profile/picture
openapi: 3.1.0
info:
  title: Wappfy - WhatsApp HTTP API
  version: '2.0'
  contact: {}
servers:
  - url: https://{host}
    description: Customizable Server
    variables:
      host:
        default: api.wappfy.com.br
        description: Server URL (e.g., api.wappfy.com.br or your-server.com)
security:
  - api_key: []
tags:
  - name: 🖥️ Sessions
    description: Control WhatsApp sessions (accounts)
  - name: 🔑 Auth
    description: Authentication
  - name: 🆔 Profile
    description: Your profile information
  - name: 🖼️ Screenshot
    description: Get WhatsApp screenshot and display QR code
  - name: 📤 Chatting
    description: Conversation methods
  - name: 📢 Channels
    description: Channels (newsletters) methods
  - name: 🟢 Status
    description: Status (aka stories) methods
  - name: 💬 Chats
    description: Conversations methods
  - name: 👤 Contacts
    description: |-
      Contacts methods.<br>
                      Use phone number (without +) or phone number and `@c.us` at the end as `contactId`.<br>
                      E.g: `12312312310` OR `12312312310@c.us`<br>
  - name: 👥 Groups
    description: Groups methods.<br>
  - name: ✅ Presence
    description: Presence information
  - name: 📅 Events
    description: Event Message
  - name: 🏷️ Labels
    description: Labels - available only for WhatsApp Business accounts
  - name: 🔍 Observability
    description: Other methods
  - name: 🗄️ Storage
    description: Storage methods
externalDocs:
  description: Wappfy - WhatsApp API
  url: https://docs.wappfy.com.br/
paths:
  /api/{session}/profile/picture:
    delete:
      tags:
        - 🆔 Profile
      summary: Delete profile picture
      description: The {session} parameter must be the session's instanceName.
      operationId: ProfileController_deleteProfilePicture
      parameters:
        - name: session
          required: true
          in: path
          description: The session name (instanceName) of the profile you want to update
          example: my-session
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Result'
      security:
        - api_key: []
components:
  schemas:
    Result:
      type: object
      properties:
        success:
          type: boolean
          default: true
      required:
        - success
  securitySchemes:
    api_key:
      type: apiKey
      in: header
      name: apikey
      description: Your Wappfy API key (get it at dash.wappfy.com.br)

````